Haavoittuvuuksia Drupal-julkaisujärjestelmässä ja Drupal 6 elinkaaren loppu

Drupal-julkaisujärjestelmän versioista 6.x, 7.x ja 8.x on löydetty useita haavoittuvuuksia. Julkaistut päivitykset korjaavat löytyneet haavoittuvuudet. Drupal 6 -versiolle julkaistu päivitys jää viimeiseksi, eikä uusia päivityksiä enää julkaista.

Drupal-julkaisujärjestelmän 6.38, 7.43 ja 8.0.4 päivitykset korjaavat lukuisia haavoittuvuuksia, jotka voivat mahdollistaa esimerkiksi luvattoman tiedostojen latauksen, palvelunestotilan aiheuttamisen, uudelleenohjauksen manipuloinnin, HTTP-otsakkeiden manipuloinnin tai XML-RPC-järjestelmän väärinkäytön.

Drupal-kehitysryhmä on antanut haavoittuvuuksille tunnisteen: SA-CORE-2016-001. Haavoittuvuuksille ei ole vielä saatavissa CVE-numeroita.

Drupal 6 version elinkaari (EOL) loppui 24.2.2016, ja näin ollen julkaistu päivitys 6.38 jää version viimeiseksi päivitykseksi. Uusien haavoittuvuuksien ilmaantuessa Drupal 6 versiolle, ei uusia päivityksiä enää julkaista. Kaikki Drupal 6 -versiota käyttävät sivustot tulisi päivittää mahdollisimman nopeasti uudempiin versioihin.

  • Palvelimet ja palvelinsovellukset
  • Työasemat ja loppukäyttäjäsovellukset
  • Verkon aktiivilaitteet
  • Matkaviestinjärjestelmät
  • Sulautetut järjestelmät
  • Muut

Kohde

  • Palvelimet ja palvelinsovellukset
Lisätietoa +

Hyökkäystapa

  • Ilman kirjautumista
  • Etäkäyttö
  • Ilman käyttäjän toimia
Lisätietoja hyökkäystavasta +

Hyväksikäyttö

  • Käyttövaltuuksien laajentaminen
  • Tietojen muokkaaminen
  • Palvelunestohyökkäys
  • Suojauksen ohittaminen
Lisätietoja hyväksikäytöstä +

Ratkaisu

  • Korjaava ohjelmistopäivitys
Lisätietoja ratkaisusta +

Haavoittuvat ohjelmistot:

  • Drupal core 6.x ennen ohjelmistoversiota 6.38
  • Drupal core 7.x ennen ohjelmistoversiota 7.34
  • Drupal core 8.x ennen ohjelmistoversiota 8.0.4

Ratkaisu- ja rajoitusmahdollisuudet:

Päivitä ohjelmistot versioihin Drupal:n kehittäjien ohjeiden mukaisesti:

  • Drupal core 6.x versioon 6.38
  • Drupal core 7.x versioon 7.34
  • Drupal core 8.x versioon 8.0.4

Lisätietoa:

Päivityshistoria

Asiasanat: Tietoturva , NCSC-FI , Haavoittuvuudet

LinkedIn Print

Yhteystiedot

logo

Viestintävirasto

Kyberturvallisuuskeskus

PL 313, 00561 Helsinki


Mediayhteydenotot puhelimitse 0295 390 248